groovy.xml

## Class FactorySupport

- java.lang.Object
- - groovy.xml.FactorySupport

-     public class FactorySupport
      extends java.lang.Object

  Support class for creating XML Factories

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactorySupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.xml.parsers.DocumentBuilderFactory` | `createDocumentBuilderFactory()`
    `static javax.xml.parsers.SAXParserFactory` | `createSaxParserFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactorySupport

          public FactorySupport()

  - ### Method Detail

    - #### createDocumentBuilderFactory

          public static javax.xml.parsers.DocumentBuilderFactory createDocumentBuilderFactory()
                                                                                       throws javax.xml.parsers.ParserConfigurationException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`

    - #### createSaxParserFactory

          public static javax.xml.parsers.SAXParserFactory createSaxParserFactory()
                                                                           throws javax.xml.parsers.ParserConfigurationException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`